%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}

Name:           tcltls
Version:        1.6
Release:        6%{?dist}
Summary:        OpenSSL extension for Tcl

Group:          Development/Libraries
License:        BSD
URL:            http://tls.sourceforge.net/
Source0:        http://dl.sourceforge.net/tls/tls%{version}-src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openssl-devel, tcl-devel
Requires: tcl(abi) = 8.5
Patch1: tcltls-1.6-no-rpath.patch

%description
A TLS OpenSSL extension for Tcl

%package devel
Group:          Development/Libraries
Summary:        Header files for the OpenSSL extension for Tcl
Requires:       %{name} = %{version}-%{release}

%description devel
The TLS OpenSSL extension to Tcl

This package contains the development files for tls.


%prep
%setup -n tls%{version} -q

%patch1 -p1 -b .1-no-rpath

%build
%configure --with-ssl-dir=%{_prefix}
make %{?_smp_mflags}

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
make install libdir=${RPM_BUILD_ROOT}%{tcl_sitearch}/ includedir=${RPM_BUILD_ROOT}%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.txt ChangeLog license.terms
%{tcl_sitearch}/tls%{version}/

%files devel
%defattr(-,root,root,-)
%{_includedir}/tls.h

%changelog
* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 1.6-6
- rebuilt with new openssl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Tomas Mraz <tmraz@redhat.com> - 1.6-3
- rebuild with new openssl

* Thu Dec 03 2008 Sander Hoentjen <sander@hoentjen.eu> - 1.6-2
- Add requires on tcl

* Thu Oct 09 2008 Sander Hoentjen <sander@hoentjen.eu> - 1.6-1
- Update to latest release

* Tue Feb 12 2008 Sander Hoentjen <sander@hoentjen.eu> - 1.5.0-16
- Rebuilt for gcc-4.3

* Tue Jan 08 2008 Sander Hoentjen <sander@hoentjen.eu> - 1.5.0-14
- disable make test for the moment

* Sat Jan 05 2008 Sander Hoentjen <sander@hoentjen.eu> - 1.5.0-13
- update for tcl 8.5

* Wed Dec 05 2007 Sander Hoentjen <sander@hoentjen.eu> - 1.5.0-12
- rebuild for openssl soname change

* Tue Aug 29 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-11
- FE6 Mass Rebuild

* Fri May 26 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-10
- reverted name change to tcltls

* Fri May 26 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-9
- in reply to comment #39 from bug #186327 (review by wart)
- changed name from tcltls to tcl-tls
- changed lib dir from tls1.50 to tls1.5.0
- changed summary
- removed some commented lines
- use macro in configure instead of hardcoded /usr
- changed group
- removed inhereted tags in devel package

* Tue Apr 24 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-8
- Source0 dl.sf.net instead of download.sf.net

* Tue Apr 24 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-7
- source tarball has same md5sum as upstream now

* Tue Apr 24 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-6
- added make test
- no more enable-symbols

* Tue Apr 24 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-5
patches from Wart (wart@kobold.org):
- Patch1: tcltls-configurein.pkgname.patch
- Patch2: tcltls-1.5-rpmoptflags.patch
- Patch3: tcltls-1.5-64bit.patch
Moved libtls out of /usr/lib into subdir

* Tue Mar 28 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-4

* Tue Mar 28 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-3

* Thu Mar 23 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-2
- invalid-soname fixed
- docs added (including license)
- devel package has defattr macro now

* Tue Mar 21 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 1.5.0-1
- created
